<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Curl\Curl;
use Illuminate\Support\Facades\DB;
use Modules\Pars\Entities\Category;

Route::prefix('pars')->group(function () {
//    Route::get('/', 'ParsController@index');
//   Route::get('/guzzle', 'ParsController@scrapGuzzle');
//   Route::get('/curl', 'ParsController@scrapCurl');

    Route::get('/', 'ParsController@index');


    Route::get('/shops', 'ShopController@index')->name('ShopIndex');
    Route::get('/shop', 'ShopController@create')->name('ShopCreate');
    Route::post('/shop', 'ShopController@store')->name('ShopStore');
    Route::delete('/shop/{id}', 'ShopController@destroy')->name('ShopDestroy');
    Route::get('/shops/test', 'ShopController@test')->name('ShopTest');

    Route::get('/categories', 'CategoryController@index')->name('CategoryIndex');
    Route::get('/categories_products', 'CategoryController@categoriesProducts')->name('CategoriesProducts');


    Route::get('/catsshop', 'CategoryController@categoriesForShop')->name('CategoriesForShop');
    Route::get('/category', 'CategoryController@create')->name('CategoryCreate');
    Route::post('/category', 'CategoryController@store')->name('CategoryStore');
    Route::delete('/category/{id}', 'CategoryController@destroy')->name('CategoryDestroy');
    // парсинг категорий
    Route::get('categories/pars', 'CategoryController@parsCategories')->name('CategoriesPars');
    Route::get('categories/updateProductsCnt', 'CategoryController@CategoriesUpdate')->name('CategoriesUpdate');;

    Route::get('/inactcategory/{id}', 'CategoryController@inactive')->name('CategoryInactive');
    Route::get('/actcategory/{id}', 'CategoryController@active')->name('CategoryActive');
    Route::get('/check_act_category/{ids}', 'CategoryController@activeCheck')->name('CategoryActiveCheck');
    Route::get('/categories/page', function () {


    }
    );

    // Товары
    Route::get('/products', 'ProductController@index')->name('ProductIndex');
    Route::get('/products/pars', 'ProductController@productsPars')->name('ProductsPars');
    Route::get('/products/category_pars/{id?}', 'ProductController@categoryPars')->name('ProdСategoryPars');
    Route::get('/products/categories_pars', 'ProductController@categoriesPars')->name('ProdСategoriesPars');
    Route::get('/products/categories_null_pars', 'ProductController@categoriesNullPars')->name('ProdСategoriesNullPars');
    Route::get('/products/products_import_to_sam', 'ProductController@productsImportToSam')->name('ProdImportToSam');

    Route::get('/products/test', function () {
        $db= DB::connection('mysql_sam')->table('s_pars_main_5')->select()->get();
        dd($db);

    });
    //Акции
    Route::get('/curl/test', function () {
        $curl = new Curl();
        $curl->get('https://5element.by');
        if ($curl->error) {
            echo 'Error: ' . $curl->errorCode . ': ' . $curl->errorMessage . "\n";
        } else {
            echo 'Response:' . "\n";
            var_dump($curl->response);
        }
    });

});


