<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Shops</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
</head>
<body>
<h1>Shops</h1>
<hr>
<div class="container" style="margin-top: 50px;">
    <div class="row">
        <div class="col-sm-10 offset-sm-1">
            <?php if($message = session()->pull('message')): ?>
                <div class="alert alert-success"><?php echo e($message); ?></div>
            <?php endif; ?>
            <?php if($message_delete = session()->pull('message_delete')): ?>
                <div class="alert alert-danger"><?php echo e($message_delete); ?></div>
            <?php endif; ?>
            <form method="post" action="shop">
                <?php echo e(csrf_field()); ?>

                <div class="form-group">
                    <label for="name">Name:</label>
                    <input type="text" class="form-control" id="name" name="name" value="<?php echo e(old('name')); ?>"
                           placeholder="Enter Shop Name">
                </div>
                <div class="form-group">
                    <label for="address">Address:</label>
                    <textarea name="address" value="<?php echo e(old('address')); ?>" id="address" class="form-control"
                              placeholder="Enter Shop Address"></textarea>
                </div>
                <div class="form-group">
                    <label for="price">Email:</label>
                    <input type="text" class="form-control" id="email" name="email" value="<?php echo e(old('email')); ?>"
                           placeholder="Enter Shop Email">
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary" name="submit">Добавить</button>
                </div>
            </form>
            <?php if(count($errors)): ?>
                <ul class="alert alert-danger well">
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="list-unstyled"><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            <?php endif; ?>
        </div>
    </div>


    <?php if(count($shops)): ?>
        <hr class="dl-horizontal">

        <div class="row">
            <div class="col-sm-10 offset-sm-1">
                <table class="table table-dark">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">Address</th>
                        <th scope="col">Email</th>
                        <th scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $shops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <th scope="row"><?php echo e($loop->iteration); ?></th>
                            <td><?php echo e($shop->name); ?></td>
                            <td><?php echo e($shop->address); ?></td>
                            <td><?php echo e($shop->email); ?></td>
                            <td>
                                <form action="<?php echo e(route('ShopDestroy',[$shop->id])); ?>" method="POST">
                                    <?php echo method_field('DELETE'); ?>
                                    <?php echo csrf_field(); ?>
                                    <button class="btn btn-danger" type="submit">Delete</button>
                                </form>

                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif; ?>
</div>
</body>
</html>
<?php /**PATH C:\WebServer\domains\DataScrap.bas\Modules\Crm\Providers/../Resources/views/shops/create.blade.php ENDPATH**/ ?>